import "react";
import { ClockNumber as b } from "./index-ClockNumber.js";
import { jsx as m } from "react/jsx-runtime";
const S = ({
  ampm: n,
  date: i,
  getClockNumberText: u,
  isDisabled: c,
  selectedId: d,
  utils: e
}) => {
  const t = i ? e.getHours(i) : null, s = [], f = n ? 1 : 0, l = n ? 12 : 23, N = (r) => t === null ? !1 : n ? r === 12 ? t === 12 || t === 0 : t === r || t - 12 === r : t === r;
  for (let r = f; r <= l; r += 1) {
    let o = r.toString();
    r === 0 && (o = "00");
    const H = !n && (r === 0 || r > 12);
    o = e.formatNumber(o);
    const a = N(r);
    s.push(/* @__PURE__ */ m(b, {
      id: a ? d : void 0,
      index: r,
      inner: H,
      selected: a,
      disabled: c(r),
      label: o,
      "aria-label": u(o)
    }, r));
  }
  return s;
}, j = ({
  utils: n,
  value: i,
  isDisabled: u,
  getClockNumberText: c,
  selectedId: d
}) => {
  const e = n.formatNumber;
  return [[5, e("05")], [10, e("10")], [15, e("15")], [20, e("20")], [25, e("25")], [30, e("30")], [35, e("35")], [40, e("40")], [45, e("45")], [50, e("50")], [55, e("55")], [0, e("00")]].map(([t, s], f) => {
    const l = t === i;
    return /* @__PURE__ */ m(b, {
      label: s,
      id: l ? d : void 0,
      index: f + 1,
      inner: !1,
      disabled: u(t),
      selected: l,
      "aria-label": c(s)
    }, t);
  });
};
export {
  S as getHourNumbers,
  j as getMinutesNumbers
};
